Update fulfillment - Fabric
Update Fulfillment
cURL
curl --request PUT \
--url https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"type": "SHIP_TO",
"refId": "398427903843",
"attributes": {
"source": "store"
},
"originAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"destinationAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"locationId": "CA",
"pickupPerson": {
"secondary": [
{
"name": {
"first": "John",
"middle": "S",
"last": "Doe"
},
"email": "john@test.com",
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
}
]
}
}
'
Python
import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}"
payload = {
"type": "SHIP_TO",
"refId": "398427903843",
"attributes": { "source": "store" },
"originAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"destinationAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"locationId": "CA",
"pickupPerson": { "secondary": [
{
"name": {
"first": "John",
"middle": "S",
"last": "Doe"
},
"email": "john@test.com",
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
}
] }
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'SHIP_TO',
refId: '398427903843',
attributes: {source: 'store'},
originAddress: 'a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93',
destinationAddress: 'a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93',
locationId: 'CA',
pickupPerson: {
secondary: [
{
name: {first: 'John', middle: 'S', last: 'Doe'},
email: 'john@test.com',
phone: {number: '123-456-7890', type: 'MOBILE'}
}
]
}
})
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'SHIP_TO',
'refId' => '398427903843',
'attributes' => [
'source' => 'store'
],
'originAddress' => 'a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93',
'destinationAddress' => 'a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93',
'locationId' => 'CA',
'pickupPerson' => [
'secondary' => [
[
'name' => [
'first' => 'John',
'middle' => 'S',
'last' => 'Doe'
],
'email' => 'john@test.com',
'phone' => [
'number' => '123-456-7890',
'type' => 'MOBILE'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Response Codes
200
Successful update of fulfillment.
{
"id": "d6229cdb-0c5b-4885-b1b2-13b94d02488e",
"type": "SHIP_TO",
"refId": "398427903843",
"attributes": {
"source": "store"
},
"originAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"destinationAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"locationId": "CA",
"pickupPerson": {
"primary": {
"name": {
"first": "John",
"middle": "S",
"last": "Doe"
},
"email": "john@test.com",
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
},
"secondary": [
{
"name": {
"first": "John",
"middle": "S",
"last": "Doe"
},
"email": "john@test.com",
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
}
}
]
}
}
400
{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}
404
{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}
Required Headers
- Authorization : The authorization token used to authenticate the request.
- x-fabric-tenant-id : A header used by fabric to identify the tenant making the request. Must include tenant id.